0

When installing the gui on Ubuntu 23.04, I receive the errors:

/usr/lib/tmpfiles.d/colord.conf:1: Failed to resolve user 'colord': No such file or directory
/usr/lib/tmpfiles.d/colord.conf:2: Failed to resolve user 'colord': No such file or directory
/usr/lib/tmpfiles.d/colord.conf:3: Failed to resolve user 'colord': No such file or directory
/usr/lib/tmpfiles.d/speech-dispatcher.conf:1: Failed to resolve user 'speech-dispatcher': No such file or directory
/usr/lib/tmpfiles.d/speech-dispatcher.conf:2: Failed to resolve user 'speech-dispatcher': No such file or directory
/usr/lib/tmpfiles.d/speech-dispatcher.conf:3: Failed to resolve user 'speech-dispatcher': No such file or directory
/usr/lib/tmpfiles.d/speech-dispatcher.conf:4: Failed to resolve user 'speech-dispatcher': No such file or directory
/usr/lib/tmpfiles.d/speech-dispatcher.conf:5: Failed to resolve user 'speech-dispatcher': No such file or directory

I googled around, but could not find anything relating to this at all.

upower.service is a disabled or a static unit, not starting it.
Setting up libgnome-bluetooth-3.0-13:amd64 (42.5-3) ...
Setting up libjavascriptcoregtk-4.0-18:amd64 (2.42.2-0ubuntu0.23.04.1) ...
Setting up fonts-tlwg-sawasdee (1:0.7.3-1) ...
Setting up libnet-http-perl (6.22-1) ...
Setting up libcolorhug2:amd64 (1.4.6-2.2) ...
Setting up libgstreamer-plugins-base1.0-0:amd64 (1.22.1-1ubuntu1.1) ...
Setting up fonts-guru (2:1.3) ...
Setting up dconf-service (0.40.0-4) ...
Setting up mythes-en-us (1:7.5.0-1) ...
Setting up xinput (1.6.3-1build2) ...
Setting up systemd (252.5-2ubuntu3.2) ...
/usr/lib/tmpfiles.d/colord.conf:1: Failed to resolve user 'colord': No such file or directory
/usr/lib/tmpfiles.d/colord.conf:2: Failed to resolve user 'colord': No such file or directory
/usr/lib/tmpfiles.d/colord.conf:3: Failed to resolve user 'colord': No such file or directory
/usr/lib/tmpfiles.d/speech-dispatcher.conf:1: Failed to resolve user 'speech-dispatcher': No such file or directory
/usr/lib/tmpfiles.d/speech-dispatcher.conf:2: Failed to resolve user 'speech-dispatcher': No such file or directory
/usr/lib/tmpfiles.d/speech-dispatcher.conf:3: Failed to resolve user 'speech-dispatcher': No such file or directory
/usr/lib/tmpfiles.d/speech-dispatcher.conf:4: Failed to resolve user 'speech-dispatcher': No such file or directory
/usr/lib/tmpfiles.d/speech-dispatcher.conf:5: Failed to resolve user 'speech-dispatcher': No such file or directory
Setting up network-manager (1.42.4-1ubuntu2) ...
Created symlink /etc/systemd/system/dbus-org.freedesktop.nm-dispatcher.service → /lib/systemd/system/NetworkManager-dispatcher.service.
Created symlink /etc/systemd/system/network-online.target.wants/NetworkManager-wait-online.service → /lib/systemd/system/NetworkManager-wait-online.service.
Created symlink /etc/systemd/system/multi-user.target.wants/NetworkManager.service → /lib/systemd/system/NetworkManager.service.
Setting up libpagemaker-0.0-0:amd64 (0.0.4-1build3) ...
Setting up whoopsie-preferences (23) ...
Setting up fonts-taml (2:1.4) ...
Setting up libmwaw-0.3-3:amd64 (0.3.21-1build1) ...
Setting up media-player-info (24-2) ...
Setting up gir1.2-atspi-2.0:amd64 (2.48.0-1) ...
Setting up fonts-tlwg-typist (1:0.7.3-1) ...
Setting up fonts-tlwg-umpush (1:0.7.3-1) ...
Setting up libaprutil1-ldap:amd64 (1.6.3-1ubuntu1.1) ...
Setting up gir1.2-javascriptcoregtk-4.0:amd64 (2.42.2-0ubuntu0.23.04.1) ...
Setting up libcdr-0.1-1:amd64 (0.1.6-2build4) ...
Setting up fonts-gujr (2:1.5) ...
Setting up xfonts-utils (1:7.7+6build2) ...
Setting up liblangtag1:amd64 (0.6.4-2) ...
Setting up gir1.2-accountsservice-1.0:amd64 (22.08.8-1ubuntu7.1) ...
Setting up libaprutil1-dbd-sqlite3:amd64 (1.6.3-1ubuntu1.1) ...
Setting up hyphen-en-us (2.8.8-7build2) ...
Setting up python3-sss (2.8.1-1ubuntu1) ...
Setting up fonts-tlwg-mono (1:0.7.3-1) ...
Setting up apport (2.26.1-0ubuntu2.1) ...
apport-autoreport.service is a disabled or a static unit not running, not starting it.
3
  • Exactly what commands are you running to install gui ? Also what is the system before trying to install gui - please show output of ˝uname .a˝
    – Soren A
    Dec 3, 2023 at 17:33
  • Do you mean Ubuntu 23,10 or 23,04 or something else ?
    – Soren A
    Dec 3, 2023 at 17:36
  • 1
    Please edit your question and add which Ubuntu release your are really using. There is no "Ubuntu 23". Ubuntu always has 4-digit version numbers following the ab.xy scheme, like e.g. 22.04. Furthermore, please add all commands you ran trying the install a GUI. There are multiple GUIs available for Ubuntu.
    – noisefloor
    Dec 3, 2023 at 17:36

1 Answer 1

0

The package I installed for any version of Ubuntu to get the X-Windows system in place is:

ubuntu-desktop - The Ubuntu desktop system

Assuming you installed a server and have a command line prompt, you would run:

sudo apt-get install ubuntu-desktop

and then sit back for a while.

If you directly tried to install an Ubuntu Desktop version, then that should have happened automatically. In other words, you don't need to install anything. If it failed, then you could get errors as you indicate in your question.

4
  • This is for Ubuntu 23.04 Despite these errors, the GUI succeeded, the command used was: apt -y install ubuntu-desktop task-gnome-desktop Found here: edit I won't link as I am unsure if I'm allowed to. But I just googled ubuntu 23.04 gui install and .. yeah. Anyway. It did work, I am concerned about the errors though. Wondering if it will cause issues down the line. I will re-install fresh and use your line, thank you Alexis Wilke and all for your support Dec 3, 2023 at 20:39
  • I re-installed, and used: sudo apt-get install ubuntu-desktop but I received the same error. I will continue through and see if this effects the gui Dec 3, 2023 at 23:23
  • I can't edit my comment for some reason. I also got the error: gdm.service is not active, cannot reload. Dec 3, 2023 at 23:43
  • Strange. Although I don't have GUI install with 23.04, only a server. (about editing comments, you have about 1 minute, then it gets locked... although you can always delete and create a new comment). Dec 4, 2023 at 0:19

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .